/*
 * @brief Defines the context manager
 * @file src/com/ZmqContext.h
 * @author Sven Czarnian <devel@svcz.de>
 * @copyright Copyright 2021 Sven Czarnian
 * @license This project is published under the GNU General Public License v3 (GPLv3)
 */

#pragma once

#include <zmq.hpp>

namespace aman {
    /**
     * @brief Handles the ZMQ context information
     */
    class ZmqContext {
    public:
        /**
         * @brief Returns the system wide context
         * @return The ZMQ context
         */
        static zmq::context_t& context();
    };
}
